== Changelog ==
= Version 4.2.2 - 2026-08-18 =
* Added    - Typography control for the header builder Button element.
* Added    - Icon size control for the header builder Search element.
* Tweak    - Minor visual refinements to the Customizer's UI framework (Customind).
* Fix      - Block editor typography (fonts, sizes, and colors) didn't reflect the Customizer's configured settings.
* Fix      - Block editor paragraph and list text ignored a customized Base Typography font size.
* Fix      - H3 heading rendered at the same size as H2 in the block editor and front end.
* Fix      - Block editor heading, blockquote, link, and button colors didn't match the front end's palette color.
* Fix      - Header Builder Button's typography font wasn't loading in the block editor.
* Fix      - Search icon clipped when a custom icon size was set.
* Fix      - Current menu ancestor items in the primary navigation didn't inherit the active text color.
* Fix      - Imported demo footer widget text color was forced white, overriding the widget's own styling.
* Fix      - Header logo placement migration ran even on fresh installs that never had the legacy setting.
* Fix      - Footer bottom bar alignment (right/center) migration never applied due to a variable mismatch.
* Fix      - Header bottom area background color wasn't applying the selected global palette color.
* Fix      - Advanced blog post layout style 2 wasn't rendering the featured image on the right.
* Fix      - Scroll-to-top button auto-hid itself even when the page loaded already scrolled down.

= Version 4.2.1 - 2026-07-16 =
* Enhance    - Smoother "scroll to top" animation.
* Enhance    - Faster loading on pages that display random posts.
* Enhance    - The site title show/hide option is now a simple on/off toggle.
* Enhance    - Smoother theme switching on sites with a large number of users.
* Enhance    - Less background work on every page load for better overall speed.
* Enhance    - The search box now responds instantly when you click the search icon.
* Enhance    - General code and build cleanup for easier maintenance and a smaller footprint.
* Enhance    - Pages now load faster by reusing saved styles instead of rebuilding them on every visit.
* Fix      - Welcome notice background color issue.
* Fix      - Changing the Body font size also resized buttons.
* Fix      - Accessible name added to the mobile menu toggle button.
* Fix      - Starter templates redirect now points to the new page slug.
* Fix      - Cart/checkout button misalignment in the in-store section.
* Fix      - Duplicate HTML IDs rendered in both desktop and mobile headers.
* Fix      - Formbricks survey not loading due to conflicting environment IDs.
* Fix      - Monthly cron interval not registered, so font cache cleanup never ran.
* Fix      - Border color issue in the header search input and "search again" field.
* Fix      - UTF-8 BOM in migration files triggering Quirks Mode and dashboard crashes.
* Fix      - MutationObserver cascading re-init causing thousands of slider/ticker re-inits.
* Fix      - Removed dead editor.js enqueue causing a 404 in the Customizer and block editor.
* Fix      - Elementor layout overflow from a global box-sizing reset (now scoped to ColorMag elements).
* Fix      - Search bar on the search results page did not inherit the configured search bar background and text color.
* Fix      - WooCommerce extension styles broke when all WC stylesheets were dequeued (now only conflicting handles removed).

= Version 4.2.0 - 2026-06-09 =
* Added    - Redesigned theme dashboard.
* Dev      - Added PHP 8.5 and WordPress 6.8+ compatibility.
* Tweak    - Updated header redirection and upgrade link.
* Tweak    - Added step increments to range slider controls in the Customizer.
* Tweak    - Used theme version instead of timestamp for stylesheet cache-busting.
* Tweak    - Clearer, less technical Customizer labels and refined info-text design.
* Tweak    - Limited builder option database writes to the admin area for better performance.
* Tweak    - Declared GPL-2.0-or-later license for the bundled Customind framework and updated its build.
* Fix      - ColorMag dashboard page issues.
* Fix      - Blog title font size not changing.
* Fix      - WooCommerce checkout layout issue.
* Fix      - Escaped category titles to prevent XSS.
* Fix      - Category title height and scroll gap issues.
* Fix      - H3 and H4 sharing the same default font size (24px).
* Fix      - Escaped news ticker post titles to prevent stored XSS.
* Fix      - PHP warning (foreach() argument) in Elementor widgets.
* Fix      - UI breaking in the color palette dropdown (HEX, RGB, HSL).
* Fix      - Search button color not reflected in the search box dropdown.
* Fix      - Post Elements / Post Meta sorting not working on Single Post.
* Fix      - Image position could not be changed on Single Post and Blog pages.
* Fix      - Block editor not respecting the "Load Google Fonts locally" setting.
* Fix      - Sanitized footer copyright shortcode output to prevent admin-stored XSS.
* Fix      - Social icons (X, Instagram) not displayed with their official brand icons.
* Fix      - Restricted REST API meta auth_callback to the edit_post capability (privilege escalation).

= 4.1.2 - 2025-12-18 =
* Added   - New combined typography color option in the Typography section, allowing unified color control for text styles.
* Moved    - Relocated Headings color settings (H1–H3) from their previous location into the Typography section for better organization and easier access.
* Update   - Introduced a new sortable control for Blog, Single Post, and Search layouts, enabling users to reorder elements more flexibly.
* Moved    - Transferred Elements options inside the Sortable element, grouping related controls together and improving the overall settings structure.
* Fix         - Starter template issue.
* Fix         - Undefined function colormag_fresh_install issue.

= 4.1.1 - 2025-09-26 =
* Fix - Undefined array key "font-family".

= 4.0.20 - 2025-08-12 =
* Update    - Dashboard notice.
* Update    - General security measure.
* Fix       - Footer now stays at the bottom on pages with minimal content.

= 4.0.19 - 2025-07-09 =
* Fix       - PHP error.

= 4.0.18 - 2025-07-07 =
* Added       - Option to set site title and tagline visibility.
* Added       - New font families in editor typography.

= 4.0.17 - 2025-06-09 =
* Fix         - Typography slide issue.
* Fix         - Fontawesome 6 issue.

= 4.0.16 - 2025-06-03 =
* Added       - Option to select widgets post by tags and author.
* Added       - Option to logo size on responsive device.
* Update      - Translation ready for all theme strings.

= 4.0.15 - 2025-05-21 =
* Fix         - Starter Template issue.

= 4.0.14 - 2025-05-21 =
* Added       - New ColorMag Main demo (https://themegrilldemos.com/colormag/).
* Added       - Option to change full width search width, border width, border color and border radius.
* Added       - Option to change full width search placeholder color.
* Added       - Option to change NewsTicker label in header builder.
* Added       - Option to change NewsTicker link typography in header builder.
* Added       - Option to change Social icon color and style in header builder.
* Added       - Option to enable/disable page header.
* Added       - Option change NewsTicker width in header builder.
* Fix         - Toggle menu issue on customizer.

= 4.0.13 - 2025-05-21 =
* Added - Icon size option in random component of header builder.
* Added - Option to change header builder primary menu active background color.
* Fix   - Header builder random component icon hover color issue.
* Fix   - Footer builder copyright component options not working
* Fix   - Footer builder menu 1 component typography option not working in frontend
* Fix   - Footer builder menu 1 component not displayed properly in footer bottom area in frontend
* Fix   - Builder offset area issue.

= 4.0.12 - 2025-03-01 =
* Fix         - Mobile view border top color issue.
* Fix         - Embed Block image size issue.
* Update      - Page settings layout.

= 4.0.11 - 2025-02-28 =
* Added       - Option to change enable and disable feature image, title, tag and excerpt in Elementor widget.
* Added       - Option to change the footer builder inner layout( Stack and Inline).
* Fix         - Plugin conflict with Classic Widgets.
* Fix         - Option to enable Header Footer builder.

= 4.0.10 - 2025-01-06 =
* Added - Option to change single post title typography.
* Fix   - Header media responsive display issue.
* Fix   - News ticker issue in builder.

= 4.0.9 - 2024-12-23 =
* Fix - Elementor widget title color and background color issue.
* Fix - Outside container background color issue.

= 4.0.8 - 2024-12-19 =
* Update        - Compatibility with Elementor v3.26.
* Fix           - TG: Widget style issue in footer.
* Fix           - Breadcrumb enable issue.

= 4.0.7 - 2024-11-22 =
* Fix           - TG: Widget style issue.
* Fix           - Customizer section padding issue.

= 4.0.6 - 2024-11-20 =
* Enhancement   - Compatibility with Page Builder by SiteOrigin.
* Fix           - Offset background color issue.
* Fix           - TG: Featured Posts (Style 1) style issue.

= 4.0.5 - 2024-11-15 =
* Fix   - WordPress 6.7 customizer css issue.

= 4.0.4 - 2024-11-12 =
* Fix - Header media image issue.
* Fix - Logo remove option issue.
* Fix - Search icon color option issue.

= 4.0.3 - 2024-11-11 =
* Fix   - Mobile logo issue.
* Tweak - New image webp image format added.

= 4.0.2 - 2024-10-25 =
* Fix - Open Sans font issue.
* Fix - Customizer CSS issues while using Classic Widget.

= 4.0.1 - 2024-10-23 =
* Fix - Footer responsive issue.

= 4.0.0 - 2024-10-22 =
* Added       - New Header builder.
* Enhancement - Introduced a new visual Header Builder with drag and drop functionality.
* Added       - Header Builder component - Site Title and Logo.
* Enhancement - Option to change color and typography for Site Title and Logo.
* Enhancement - Option to change enable/disable for Site Title and Logo.
* Added       - Header Builder component - Primary Menu.
* Enhancement - Option to change color, background, padding, margin and typography for primary menu component.
* Enhancement - Option to change sub menu color, background, padding, border etc.
* Added       - Header Builder component - Secondary, Tertiary and Quaternary Menu.
* Enhancement - Option to change color and typography for secondary, tertiary and quaternary menu component.
* Enhancement - Option to change sub menu typography.
* Added       - Header Builder component - Button.
* Enhancement - Option to change color, background, padding, border for button.
* Added       - Header Builder component - Search.
* Added       - Option to change search input color text and background color.
* Added       - Option to change search icon color.
* Added       - Header Builder component - HTML 1.
* Added       - Option to change HTML 1  color, link color, font size, margin.
* Added       - Header Builder component - Widget 1 and Widget 2.
* Added       - Option to change Widget 1 and Widget 2 title and content color, link color and typography.
* Added       - Header Builder component - Social.
* Added       - Option to add new social icons.
* Added       - Option to change all header row container width, height, color, background, padding, margin, border etc.
* Enhancement - UI/UX improvement in toggle, select, slider, radio-image, sortable, editor, typography, dimension, navigation and color control.
* Added       - New customizer color Palette.
* Enhancement - Introduced reset to default option in all control.
* Enhancement - Customizer color picker.
* Enhancement - Customizer background control.
* Enhancement - Customizer Typography control.
* Added       - New Footer builder.
* Enhancement - Introduced a new visual Footer Builder with drag and drop functionality.
* Added       - Footer Builder component - HTML 1.
* Added       - Option to change HTML 1 color, link color, font size, margin.
* Added       - Footer Builder component - Widget 1, Widget 2, Widget 3, Widget 4, Widget 5, Widget 6 and Widget 7.
* Added       - Option to change Widgets title and content color, link color and typography.
* Added       - Footer Builder component - Menu 1.
* Added       - Option to change Menu 1 color and typography.
* Added       - Footer Builder component - Social.
* Added       - Option to add new social icons.
* Added       - Footer Builder component - Copyright.
* Added       - Option to change copyright color, link color, typography, margin.
* Added       - Option to change footer column for particular row.
* Added       - Option to change all footer row container width, height, color, background, padding, margin, border etc.

= 3.1.11 - 2024-08-24 =
* Fix - Compatibility of ColorMag with Elementor Pro.
* Fix - Outside container background issue.

= 3.1.10 - 2024-07-23 =
* Feature - Option to change mobile menu color and typography.
* Feature - Option to change mobile sub menu background color and typography.
* Fix     - Header layout 2 style issue.
* Fix     - WordPress 6.6 issue.

= 3.1.9 - 2024-06-27 =
* Option - To change footer column layout.
* Fix - Link post format while using custom primary color.
* Fix - Primary menu background color on responsive device.
* Fix - Post format video URL issue.

= 3.1.8 - 2024-04-25 =
* Fix - `colormag_date_meta_markup` function override.

= 3.1.7.1 - 2024-03-20 =
* Fix - TG Advertisement issue.

= 3.1.7 - 2024-03-19 =
* Fix - Page title tag issue.

= 3.1.6 - 2024-03-05 =
* Option - To change sidebar width.
* Fix    - Primary menu background on contained main header.
* Fix    - Post meta categories issue.

= 3.1.5 - 2024-02-20 =
* Option - To change global base color.
* Option - To change global box border color.
* Option - To change global links color.
* Option - To change global body typography.
* Option - To change global headings' typography.
* Option - To change global H1,H2,H3,H4,H5 and H6 typography.
* Option - To change global button color, background, padding and border radius.
* Option - To change site title color and typography.
* Option - To change site tagline color and typography.
* Option - To change main header layout 1 alignment.
* Option - To change main header layout 1 alignment.
* Option - To change primary menu border top width.
* Option - To change main menu typography.
* Option - To change main sub menu typography.
* Option - To change sortable of blog post elements.
* Option - To change blog post title typography.
* Option - To change blog excerpt type.
* Option - To change sortable of single post element.
* Option - To change sortable of post elements.
* Option - To change widget title color.
* Option - To change widget content color.
* Option - To change widget link color.
* Option - To change footer bar style.
* Fix    - PHP error on v7.2.

= 3.1.4 - 2024-01-29 =
* Add - Font awesome V6.2.4 support.
* Fix - Page builder template responsive issue.

= 3.1.3 - 2024-01-19 =
* Enhancement - Theme Dashboard.

= 3.1.2 - 2024-01-15 =
* Enhancement - Overall theme dashboard UI/UX.

= 3.1.1 - 2024-01-11 =
* Tweak - Update screenshot image.

= 3.1.0 - 2023-12-27 =
* Fix - Breadcrumb option visible even when disabled.
* Fix - Migration notice issue.

= 3.0.9 - 2023-12-13 =
* Fix - Image caption alignment issue in editor.
* Fix - Single post headings tag issue.
* Fix - Page title tag issue.

= 3.0.8 - 2023-12-12 =
* Fix - Header background color issue on dark mode.
* Fix - Navigation  post title word break issue.

= 3.0.7 - 2023-10-18 =
* Fix - Spacing issue in editor.
* Fix - PHP error on search results page.

= 3.0.6 - 2023-09-20 =
* Fix   - Sub menu design issue.
* Added - New Demo (ColorMag 02) - Gutenberg-based WordPress Template Site for Best News Magazine.

= 3.0.5 - 2023-09-05 =
* Feature - Breadcrumb option.
* Feature - Numbered pagination option.
* Feature - Retina logo option.

= 3.0.4 - 2023-08-22 =
* Feature - Primary menu background color option.
* Feature - Primary menu border color option.
* Feature - Main menu color option.
* Feature - Main menu hover color option.
* Feature - Sub menu background color option.
* Feature - Header action icon color option.
* Feature - Mobile menu toggle icon color option.
* Feature - Upper footer widget background color option.
* Feature - Footer copyright content color option.
* Feature - Footer copyright link color option.
* Added   - New Demo (ColorMag NewsHive) - Gutenberg-based WordPress Template Site for Blog, Newspaper & Magazine.

= 3.0.3 - 2023-08-15 =
* Feature - Top bar background color option.
* Feature - Main header background color option.
* Feature - Footer column background color option.
* Feature - Container inside background color option.
* Feature - Footer bar background color option.
* Fix     - Footer column design issue.
* Fix     - Navigation menu responsive icon issue.
* Add     - Footer upper column sidebars.
* Added   - New Demo (ColorMag MagazineX) -  Gutenberg-based WordPress Template Site to publish articles for your newspaper, magazine, or blog.

= 3.0.2 - 2023-07-19 =
* Fix - Left sidebar content responsive issue.
* Fix - Post Video format play button position issue.

= 3.0.1 - 2023-06-20 =
* Fix - Single post navigation width issue.
* Fix - Highlighted post widget clickable issue.
* Fix - Permalink not appearing on comment section.
* Fix - Various design issue in button block.
* Fix - Tag links design issue.

= 3.0.0.7 - 2023-06-19 =
* Fix - Word break issue.
* Fix - Featured Category slider issue on refresh.
* Fix - Dashboard notice dismiss button.

= 3.0.0.6 - 2023-06-19 =
* Fix - Featured Category Slider not appearing.

= 3.0.0.5 - 2023-06-18 =
* Fix - Missing deprecated functions issue.

= 3.0.0.4 - 2023-06-17 =
* Fix - Missing commenter author name.
* Fix - Gutenberg editor skin color.
* Fix - Comment & Tag meta missing on post meta section.
* Fix - Dashboard notice dismiss button issue.

= 3.0.0.3 - 2023-06-16 =
* Tweak - Minor change.

= 3.0.0.2 - 2023-06-16 =
* Tweak - Minor change.

= 3.0.0.1 - 2023-06-16 =
* Fix - Footer copyright text issue.

= 3.0.0 - 2023-06-16 =
* Enhancement - Overall UI/UX improvements of frontend side of the theme

* Enhancement - Responsiveness and mobile-first design
* Enhancement - Introduced SVG icons for speed and better design
* Enhancement - Improvements and issues fixes in dark mode design

* Enhancement - Blog, Post content, meta, CTA button
* Fix         - Design issues in post comments section
* Enhancement - Search no result found page design
* Enhancement - Fixed design issues in 404 page and improved for the betterment
* Enhancement - Improved design for forms fields

* Enhancement - Overall layout/design improvement in header area
* Enhancement - Mobile menu design
* Enhancement - Improved header search
* Fix         - News ticker alignment issue in mobile devices
* Fix         - Top bar responsive issues

* Enhancement - Overall layout/design improvement in footer area
* Fix         - Footer area responsive issues

* Enhancement - WordPress default blocks/widgets design
* Enhancement - Improved Block Editor design
* Fix         - Search widget design issue
* Enhancement - ColorMag custom widgets design: consistency, spacing, responsiveness

* Enhancement - Overall accessibility improvements as per WordPress standards
* Enhancement - More accessible styles for links
* Enhancement - Maintained contrast of elements via Color, sizes, spacing
* Enhancement - Attention to typography for readability by applying hierarchy, consistency, and white spaces

* Enhancement - WooCommerce pages design revamp
* Enhancement - Improved product boxes
* Fix         - Various design issues including responsiveness in WooCommerce pages

* Enhancement - Overall UI/UX of customizer controls

* Enhancement - Improved design of icons used in radio image control
* Enhancement - Use toggle control instead of checkboxes
* Enhancement - Introduced unit selector, slider in typography control
* Enhancement - UX improvement in responsive switcher setting
* Enhancement - Use of toogle instead of eye icon inside sortable control
* Enhancement - Use of toggle instead of eye icon inside sortable control
* Enhancement - Introduced unit selector and progress bar indicator in the slider control
* Feature     - Option of unsortable items inside sortable control
* Feature     - Introduced input binding setting in dimension control
* Feature     - Introduced input binding and unit selector setting in dimension control
* Added       - Introduced new subheadings control

* Enhancement - Refactored options arrangements for better user experience
* Enhancement - Consistency on layout and style options
* Enhancement - Updated strings used for customizer options for clarity

* Enhancement - Better file/folder organization
* Tweak       - Improved Coding Standards
* Tweak       - PHP OOP way code implementation

* Enhancement - Mobile-first CSS
* Enhancement - Proper CSS Reusability implementation for less code
* Enhancement - Use of CSS flex/grid properties instead of float
* Enhancement - Use of CSS variables
* Enhancement - Overall CSS transition on events

= 2.1.8 - 2023-01-11 =
* Fix - PHP error.

= 2.1.7 - 2023-01-09 =
* Fix - PHP error.

= 2.1.6 - 2023-01-04 =
* Integration - Magazine Blocks plugin.
* Tweak       - Improvements on page builder template.
* Fix         - Logo alignment issue in header clean layout.
* Fix         - Alignment issue in header classic layout.

= 2.1.5 - 2022-11-17 =
* Fix - Primary menu expanded by default when responsive menu is enabled.
* Fix - Primary menu hover color issue.
* Fix - Top header enlarge issue on page load.
* Fix - Primary menu not centered while 3rd header style.

= 2.1.4 - 2022-10-18 =
* Improvements - Header top bar design and CSS code refactor.

= 2.1.3 - 2022-06-22 =
* Tweak - Load default fonts locally.

= 2.1.2 - 2022-04-20 =
* Fix - Option for hiding blog/static page on front page not working on certain condition.
* Fix - Featured image not showing in a single post on certain condition.

= 2.1.1 - 2022-03-25 =
* Fix - Elementor\Scheme_Color is deprecated.
* Fix - _register_controls is deprecated.
* Fix - Color opacity option in customizer not working properly.

= 2.1.0 - 2021-09-06 =
* Fix - Dropdown issue in widgets.
* Fix - Background color customizer option not working properly.

= 2.0.9 - 2021-08-03 =
* Fix - Font display swap property and value for google fonts.

= 2.0.8 - 2021-05-27 =
* Tweak - Update screenshot image.
* Tweak - Update screenshot image source link.

= 2.0.7 - 2021-05-12 =
* Fix - Elementor's Text Editor widget's font size overridden by theme.

= 2.0.6 - 2021-03-31 =
* Enhancement - Social Icons control.

= 2.0.5.1 - 2021-02-25 =
* Tweak - Fix URL of welcome banner image.

= 2.0.5 - 2021-02-24 =
* Tweak - Update screenshot image.

= 2.0.4 -2020-12-16 =
* Tweak - Update footer credit link with `rel="nofollow"` attributes.
* Fix   - jQuery deprecated message in some of the theme custom JS files

= 2.0.3 -2020-10-21 =
* Enhancement - Customizer design.

= 2.0.2 -2020-09-28 =
* Fix - Search form result display for specific language when using Polylang plugin.
* Fix - Alpha color selector design issue on custom customize controls.

= 2.0.1 -2020-09-16 =
* Tweak - Updated `Tested up to` to 5.5
* Fix - Link in slider not working on certain devices in Chrome

= 2.0.0.3 -2020-08-19 =
* Fix - Primary color issue for read more button
* Fix - Primary color issue for header style 3 menu border

= 2.0.0.2 -2020-08-18 =
* Fix - Primary color issue

= 2.0.0.1 -2020-08-18 =
* Fix - PHP syntax error

= - 2.0.0 -2020-08-18 =
* Refactor  - Customize controls.
* Refactor  - Customizer sections and options.
* Remove    - TGMPA library to recommend plugins
* Deprecate - Demo config via theme.

= 1.5.1 -2020-08-08 =
* Enhancement - Links CSS transition.
* Remove      - Unused codes.

= 1.5.0 -2020-07-20 =
* Fix - Mobile sub toggle icon color and bg color conflict while opening two submenu at once.
* Enhance - Post `Read more` CTA UI.

= 1.4.9 -2020-06-05 =
* Fix - Responsive video embeds.

= 1.4.8 -2020-05-27 =
* Tweak       - Enhance customizer upsell section.
* Enhancement - Gutenberg compatibility

= 1.4.7 -2020-05-22 =
* Add   - Required header fields: `Tested up to` and `Requires PHP` in style.css.
* Fix   - Theme name and version in the admin dashboard while child theme active.
* Tweak - Add and improve theme-related notices.

= 1.4.6 - 2020-04-17 =
* Added - New Demo (ColorMag Wild Magazine) - Engage the nature lovers to your wildlife magazine website with this ColorMag demo.
* Added - New Demo (ColorMag Entertainment News) - Use this ColorMag demo to provide entertaining information on your news website.
* Tweak - Notice adjustment with respect to WordPress admin notices guideline

= 1.4.5 - 2020-02-28 =
* Tweak -Refactor theme page according to WordPress theme guidelines.

= 1.4.4 - 2020-02-19 =
* Tweak - Minor Enhancement.

= 1.4.3 - 2020-01-22 =
* Added - New Demo (ColorMag Top Magazine) - Start working on your awesome online magazine with this ColorMag demo.
* Tweak - Modify menu CSS for keyboard accessibility.
* Tweak - Modify self hosted Header Video CSS to align center.
* Tweak - Deprecate Custom CSS customize option provided via theme

= 1.4.2 - 2019-07-29 =
* Fix   - Random posts and Search icon position in menu.
* Fix   - Comment form boxes design.
* Fix   - User consent design for comment form.
* Fix   - Published and Updated class for Google Structured Data.
* Fix   - Featured Posts widget image margin when used with Elementor.
* Fix   - Featured image alignment on featured posts widget for RTL support.
* Tweak - CSS change for Elementor Block Elements.
* Tweak - Update `screen-reader-text` CSS.
* Tweak - Added `skip-link` to content area.
* Tweak - Autofocus on search field for click on search icon toggle button in menu.
* Tweak - Remove display of `Comments Off` message, if comment is off within featured posts widget.

= 1.4.1 - 2019-07-12 =
* Remove - Removed dashboard message to align with the theme review guidelines

= 1.4.0 - 2019-07-11 =
* Tweak - Added `wp_body_open` function to support WordPress 5.2 `wp_body_open` hook.
* Tweak - Added message to make user aware while installing and activating the ThemeGrill demo importer plugin.

= 1.3.9 - 2019-05-21 =
* Update - FitVids to 1.2.0
* Tweak  - Add review notice message.

= 1.3.8 - 2019-03-26 =
* Fix - Upload Theme button not working

= 1.3.7 - 2019-03-19 =
* Tweak  - Remove import button from site library for pro themes.
* Update - BxSlider to 4.2.15

= 1.3.6 - 2019-03-01 =
* Tweak - Added site library and demo import process in About ColorMag page.
* Tweak - Modify pingback url autodiscovery for single posts, pages, or attachments.
* Tweak - separate customize control class via different file.

= 1.3.5 - 2019-01-16 =
* Update - StickyJS library to 1.0.4
* Update - Magnific Popup library to 1.1.0

= 1.3.4 - 2018-12-07 =
* Recommend - Zakra Gutenberg ready theme
* Fix       - Gallery padding for Gutenberg
* Tweak     - Utilize single custom JS file for required theme JS settings.

= 1.3.3 - 2018-11-19 =
* Added - Gutenberg compatibility

= 1.3.2 - 2018-10-04 =
* Remove - Backward compatible for favicon
* Remove - Backward compatible for header logo

= 1.3.1 - 2018-08-31 =
* Update - Upsell link

= 1.3.0 - 2018-08-29 =
* Fix - Menu toggle tag
* Fix - Image upload issue in advertisement widgets for customizer option

= 1.2.9 - 2018-05-24 =
* Feature - Added option to display social link in header, footer or both header and footer location

= 1.2.8 - 2018-05-09 =
* Feature - Added featured image disable option for single post page
* Feature - Added featured image display option for single page

= 1.2.7 - 2018-4-20 =
* Tweaks - Remove translations from social icons display

= 1.2.6 - 2018-03-20 =
* Fix - Slider anchors unclickable in Firefox browsers versioned 59+.

= 1.2.5 - 2018-03-15 =
* Fix - Flex issue on safari

= 1.2.4 - 2018-02-27 =
* Fix    - Header layout ( Main Header Area Display ) design issue
* Fix    - Touchscreen submenu double click issue in small devices
* Tweaks - Introduce customizer live preview and selective refresh feature.

= 1.2.3 - 2017-12-12 =
* Added   - Scrollbar for fixed better responsive menu if overflow.
* Tweaks  - Touch screen accessible submenu
* Feature - Added Elementor plugin support
* Feature - Added Block widgets for use within Elementor plugin
* Feature - Added Grid widgets for use within Elementor plugin

= 1.2.2 - 2017-10-16 =
* Feature - Added header variation options
* Feature - Added footer variation options

= 1.2.1 - 2017-08-31 =
* Tweaks  - Updated BxSlider to version 4.2.12
* Tweaks  - WooCommerce sidebar layout now utilizes the same sidebar area provided via the theme by default
* Tweaks  - Image alt text added to the advertisement widgets provided via this theme
* Tweaks  - Introduce selective refresh for site title and description
* Feature - Added theme starter content introduced in WordPress 4.7

= 1.2.0 - 2017-04-27 =
* Feature - Added option to display the date in header set via WordPress date setting
* Tweaks  - Add theme support for WooCommerce 3.0's new gallery feature
* Tweaks  - Updated FontAwesome icons to version 4.7.0
* Fix     - Search results page design

= 1.1.9 - 2017-03-03 =
* Tweaks - Updated BxSlider to version 4.2.10
* Tweaks - Add support for customize selective refresh widgets
* Tweaks - Add TGMPA to recommend ThemeGrill Demo Importer plugin

= 1.1.8 - 2017-01-16 =
* Feature - Added new responsive menu design.
* Added   - RTL Language support.
* Added   - Support for Video Headers introduced in WordPress 4.7.

= 1.1.7 - 2016-12-09 =
* Feature - Migrated the Custom Logo from theme options to the Site Logo in Site Identity section

= 1.1.6 - 2016-12-08 =
* Feature - Added the Custom Site Logo feature introduced in WordPress 4.5
* Feature - Added support for Site Icon introduced in WordPress 4.3
* Feature - Added compatibility for ThemeGrill Demo Importer plugin
* Feature - Migrated the Custom CSS code added in theme settings to Additional CSS section introduced in WordPress 4.7

= 1.1.5 - 2016-09-02 =
* Tweaks - Removed Portugese (Brazil) language file as 100% translation now available at wordpress.org
* Tweaks - Removed Russian language file as 100% translation now available at wordpress.org
* Tweaks - Enhancement for the media uploader scripts used in widgets.

= 1.1.4 =
* Tweaks - Updated theme tags as per new introduced tags.
* Tweaks - Introduced welcome page for theme.

= 1.1.3 =
* Theme information is properly organized in Customize panel.
* Theme is now compatible with WooCommerce.

= 1.1.2 =
* Updated FontAwesome icons to version 4.5.0
* Content width is now adjusted according to the layout chooded.

= 1.1.1 =
* Language POT file updated
* SEO optimization

= 1.1 =
* Added rel="nofollow" on the Advertisement widgets.
* Updated FontAwesome icons to the latest version 4.4.0
* Updated HTML5Shiv script to the latest version 3.7.3

= 1.0.9 =
* Minor CSS Bug Fix
* Russian language file added. Thanks to Mr. Ardizan Натяжные потолки for providing the language files.
* Spanish language file added. Thanks to Mr. Anel Pérez Pérez & Melchor Sánchez for providing the language files.

= 1.0.8 =
* WordPress default gallery alignment issue fixed. Also, responsiveness adjustment done for WordPress default gallery.

= 1.0.7 =
* Removed deprecated function for WP_Widget class and used the __construct() instead as per WordPress 4.3
* Date translation issue fixed.

= 1.0.6 =
* Norwegian language file added. Thanks to Mr. Clay Kristoffer Gressli for providing the language files.

= 1.0.5 =
* Brazilian Portuguese language file added. Thanks to Mr. Clay Zeballos for providing the language files.
* TG: Featured Posts widget title changed to TG: Featured Posts(Style 1)
 and TG: Featured Posts Vertical widget title to TG: Featured Posts(Style 2)
* Added the update class for Google Structured Data.
* Added HTML5 Markup theme support

= 1.0.4 =
* Fixed reset query for breaking news and random post
* Default layout set as Right Sidebar for the front page
* Updated Stickyjs to v1.0.2
* Few styling and other adjustments

= 1.0.3 =
* Removed TG: Videos widget
* Styling adjustment for search results page
* Responsive styling adjustment for posts in archive page and search page
* Option to hide Blog Posts/static Page from front page added
* Pot file updated.
* Screenshot changed.

= 1.0.2 =
* Added the prefix for the hook in the header.php
* Enqueued the script used in post-format.php

= 1.0.1 =
* Responsiveness added.
* All refinements and adjustments.

= 1.0 =
* All brand new.
